/////////////////////////////////////////////////////////////////////////////
// Name:        bidreview.h
// tag:         header for the bid review class
// Author:      David Roundy
// Modified by:
// Created:     9/2001
// Copyright:   (c) 2001 David Roundy
// Licence:   	GPL
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////
#ifndef _BIDREVIEW_H_
#define _BIDREVIEW_H_

#include "seats.h"
#include "floatwindow.h"

class BidReview : public FloatWindow {
public:
  BidReview(wxWindow* parent, aBridgeGame *the_game);
  virtual ~BidReview();

  void NewHand(Seat dealer_seat);
  void HandleBid(const wxString &player, const wxString &bid);

  void SavePositions();

  virtual wxPoint GetRelativePosition();
  virtual void SetRelativePosition(wxPoint p);

  static void InitStaticVariables();
private:
  wxGridSizer *m_grid;
  wxBoxSizer *m_box;
  Seat m_whose_bid;
  wxWindow *m_last_item;

  static wxPoint defpos;
};

#endif
