/////////////////////////////////////////////////////////////////////////////
// Name:        bidwindow.h
// tag:         header for the bidding window
// Author:      David Roundy
// Modified by:
// Created:     9/2001
// Copyright:   (c) 2001 David Roundy
// Licence:   	GPL
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////
#ifndef _BIDWINDOW_H_
#define _BIDWINDOW_H_

class wxBitmapButton;

#include "card.h"
#include "floatwindow.h"

class BidWindow : public FloatWindow
{
public:
  BidWindow(wxWindow* parent, 
            int current_val=0, Suit current_suit=clubs,
            bool can_double=FALSE, bool can_redouble=FALSE);
  virtual ~BidWindow();

  static wxBitmapButton *BidButton(wxWindow* parent, int bid_val, Suit suit, 
                                   int x, int y, int w=50, int h=20);
  void ButtonPushed(wxCommandEvent& event);

  bool OnCloseWindow();
  
  static void InitStaticVariables();

  virtual wxPoint GetRelativePosition();
  virtual void SetRelativePosition(wxPoint p);
  
  DECLARE_EVENT_TABLE()

private:
  wxBitmapButton*	m_pass;
  wxBitmapButton* m_double;
  wxBitmapButton* m_redouble;
  wxBitmapButton*	m_bids[8][5];
  wxTextCtrl*	m_textField;
  wxWindow *m_game;

  static wxPoint defpos;
};

#endif
