/////////////////////////////////////////////////////////////////////////////
// Name:        floatwindow.h
// tag:         header for base class for floating windows
// Author:      David Roundy
// Modified by:
// Copyright:   (c) 2002 David Roundy
// Licence:   	GPL
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////
#ifndef _FLOATWINDOW_H_
#define _FLOATWINDOW_H_

#ifndef WX_PRECOMP
#include <wx/wx.h>
#include <wx/minifram.h>
#endif

#include "card.h"

class FloatWindow : public wxMiniFrame {
public:
    FloatWindow(wxWindow *parent,
                wxWindowID id,
                const wxString& title,
                const wxPoint &relpos = wxPoint(-1,-1),
                const wxSize& size = wxDefaultSize,
                long style = wxDEFAULT_FRAME_STYLE | wxTINY_CAPTION_HORIZ,
                const wxString& name = wxFrameNameStr);

  virtual ~FloatWindow();

  void OnMove(const wxMoveEvent& event);
  void OnActivate(wxActivateEvent& event);
  void ParentMoved();

  void OnCloseWindow(wxCloseEvent& event);

  void MoveToPosition();
  void DisallowOneMove();

  virtual wxPoint GetRelativePosition() = NULL;
  virtual void SetRelativePosition(wxPoint p) = NULL;

  static void InitStaticVariables() {};
    
  DECLARE_EVENT_TABLE()

private:
  void UpdateRelPos(const wxEvent& event);

  bool m_allow_move;
};

#endif
