/////////////////////////////////////////////////////////////////////////////
// Name:        gameevent.cpp
// tag:         a convenient event for passing messages.
// Author:      David Roundy
// Modified by:
// Created:     9/2001
// Copyright:   (c) 2001,2002 David Roundy
// Licence:   	GPL
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////

// For compilers that support precompilation, includes <wx/wx.h>.
#include <wx/wxprec.h>

#ifndef WX_PRECOMP
#include <wx/wx.h>
#include <wx/tokenzr.h>
#endif

#include "gameevent.h"

// GameEvent !!!!!!!!!!!!!!!!!!!

IMPLEMENT_DYNAMIC_CLASS( GameEvent, wxEvent )

DEFINE_EVENT_TYPE(wxEVT_COMMAND_GAME)

GameEvent::GameEvent( wxWindow* win, const wxString& type, 
                      const wxString& message) {
    SetEventType( wxEVT_COMMAND_GAME );
    SetEventObject( win );
    m_type = type;
    m_message = message;
}

#if wxCHECK_VERSION(2, 3, 0)
#else 
void GameEvent::CopyObject( wxObject& obj_d ) const {
    wxCommandEvent::CopyObject( obj_d );
    GameEvent &evt = (GameEvent &) obj_d;
    evt.m_type = m_type;
    evt.m_message = m_message;
}
#endif
