/////////////////////////////////////////////////////////////////////////////
// Name:        lasttrick.h
// tag:         header for looking at the last trick
// Author:      David Roundy
// Modified by:
// Copyright:   (c) 2002 David Roundy
// Licence:   	GPL
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////
#ifndef _LASTTRICK_H_
#define _LASTTRICK_H_

#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include "card.h"
#include "floatwindow.h"

class theTricks;

class LastTrick : public FloatWindow {
public:
  LastTrick(wxWindow* parent);
  virtual ~LastTrick();

  void ShowTrick(wxString south, wxString north,
                 wxString east, wxString west);

  void SavePositions();

  virtual wxPoint GetRelativePosition();
  virtual void SetRelativePosition(wxPoint p);

  static void InitStaticVariables();

private:
  theTricks *m_tricks;

  static wxPoint defpos;
};

#endif
