/////////////////////////////////////////////////////////////////////////////
// Name:        nofocusbutton.h
// Author:      David Roundy
// Modified by:
// Copyright:   (c) 2002 David Roundy
// Licence:   	GPL
//---------------------------------------------------------------------------
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////

#ifndef _NOFOCUSBUTTON_H_
#define _NOFOCUSBUTTON_H_

// For compilers that support precompilation, includes "wx/wx.h".
#include <wx/wxprec.h>

#ifndef WX_PRECOMP
#include <wx/wx.h>
#include <wx/bmpbuttn.h>
#endif

class NoFocusButton: public wxBitmapButton {
public:
  NoFocusButton();
  inline NoFocusButton( wxWindow *parent, wxWindowID id, 
                        const wxBitmap& bitmap,
                        const wxPoint& pos = wxDefaultPosition,
                        const wxSize& size = wxDefaultSize, 
                        long style = wxBU_AUTODRAW,
                        const wxValidator& validator = wxDefaultValidator,
                        const wxString& name = wxButtonNameStr ) {
    Create(parent, id, bitmap, pos, size, style, validator, name);
  }
  ~NoFocusButton();

  DECLARE_EVENT_TABLE()
    
private:
  void OnGetTheKey(wxKeyEvent &evt);
};

#endif
