/////////////////////////////////////////////////////////////////////////////
// Name:        player.h
// tag:         player header
// Author:      David Roundy
// Modified by: 
// Created:     Sep 10 2001
// Copyright:   (c) 2001 David Roundy
// Licence:   	GPL
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////
#ifndef _PLAYER_H_
#define _PLAYER_H_

#include "seats.h"
#include "abridge.h"

  //----------------------------------------//
 // A class which displays the player name //
//----------------------------------------//
class Player : public wxPanel {
 public:
  Player(wxWindow* parent, Seat m_direction, int x, int y, int w, int h);
  ~Player();

  void SetTalkFocus(wxFocusEvent& evt);
  void Sit(wxCommandEvent& evt);
  void Substitute(wxCommandEvent& evt);
  void ShowInfo(wxCommandEvent& evt);
  void HandleSit(const wxString& who, bool substitute=false);
  void HandleGetUp();

  void SayBid(const wxString &bid);
  void BlankBid();

  void YourTurn(bool);

  DECLARE_EVENT_TABLE()

 private:
  enum {
    SIT_BUTTON_ID,PLAYERPIC_BUTTON_ID, SUBSTITUTE_BUTTON_ID
  };
  wxString m_name;
  wxStaticText *m_name_label;
  wxStaticText *m_reminder;
  wxStaticText *m_mybid;
  wxStaticBitmap *m_mybid_bits;
  wxButton *m_button;
  wxButton *m_substitute_button;
  wxBitmapButton *m_playerpic_button;
  int m_horizontal;
  Seat m_seat;  // which seat is this?

  bool m_my_turn;
  bool m_played_by_me;
};

#endif // _PLAYER_H_
