/////////////////////////////////////////////////////////////////////////////
// Name:        playerdata.h
// tag:         aBridge player info database header
// Author:      David Roundy
// Modified by:
// Copyright:   (c) 2002 David Roundy
// Licence:   	GPL
//---------------------------------------------------------------------------
// Last modified: 
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////
#ifndef _PLAYERDATA_H_
#define _PLAYERDATA_H_

#include "seats.h"
#include "globals.h"

#include <wx/string.h>
#include <wx/list.h>

WX_DECLARE_LIST(wxString, MyStringList);

class aBridgePlayerData {
public:
  aBridgePlayerData();
  ~aBridgePlayerData();

  static void SetPlayerInfo(wxString player,const wxString &info);
  static void SetPlayerPic(wxString player,const wxString &pic);

  static wxString GetPlayerInfo(wxString player);
  static wxString GetPlayerPic(wxString player);
    
private:

  static MyStringList *info, *pics;

};

#endif
