/////////////////////////////////////////////////////////////////////////////
// Name:        scorewin.h
// tag:         header for looking at the score
// Author:      David Roundy
// Modified by:
// Created:     9/2001
// Copyright:   (c) 2001 David Roundy
// Licence:   	GPL
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////
#ifndef _SCOREWIN_H_
#define _SCOREWIN_H_

#include "floatwindow.h"

class aBridgeScoreBase;

class ScoreWin : public FloatWindow {
public:
  ScoreWin(wxWindow* parent, aBridgeScoreBase *the_score);
  virtual ~ScoreWin();

  void UpdateScores(); // Update scores based on m_score

  void SavePositions();

  virtual wxPoint GetRelativePosition();
  virtual void SetRelativePosition(wxPoint p);

  static void InitStaticVariables();
private:
  aBridgeScoreBase *m_score;
  wxStaticText *m_ns_above_line;
  wxStaticText *m_ew_above_line;
  wxStaticText *m_ns_below_line;
  wxStaticText *m_ew_below_line;
  wxStaticText *m_vulnerable_text;

  static wxPoint defpos;
};

#endif
