/////////////////////////////////////////////////////////////////////////////
// Name:        speech.cpp
// tag:         speech functions
// Author:      David Roundy
// Modified by:
// Created:     5/2002
// Copyright:   (c) 2002 David Roundy
// Licence:   	GPL
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/////////////////////////////////////////////////////////////////////////////

#include "speech.h"

#ifdef WITH_SPEECH
#ifdef USE_FESTIVAL
#endif // USE_FESTIVAL

#ifdef USE_FLITE
#include <flite.h>
extern "C" cst_voice *register_cmu_us_kal();
void speak_string(const wxString &str) {
  static cst_voice *myvoice = register_cmu_us_kal();
  flite_text_to_speech(str.c_str(), myvoice, "play");
}
#endif // USE_FLITE

#ifdef __WXMAC__
//#include <ApplicationServices/ApplicationServices.h>
extern "C" {
  extern int SpeakText(void *, const unsigned char *, int);
  extern short SpeechBusy();
  extern int NewSpeechChannel(void *, void **);
}
static void *g_chan;

void speak_string(const wxString &str) {
  while (SpeechBusy()) wxUsleep(100);
  SpeakText(g_chan, (const unsigned char *)str.c_str(),
            str.Length());
}

void init_speech() {
  NewSpeechChannel(NULL, &g_chan); 
}

#endif

#else // WITH_SPEECH


#endif
